Subject: bug#56418: Add duplicate-dwim [PATCH]

From: Mattias Engdegård <[email-masked]>
Date: Wed, 27 Jul 2022 11:01:36 +0200

26 juli 2022 kl. 14.56 skrev Robert Pluim <[email-masked]>:

>    Stefan> How about simply replacing 'duplicate-line' with
>    Stefan> 'duplicate-dwim'?
> 
> I think both have merit, sometimes I just want to duplicate a line
> with worrying about the region.

While I have no particular wish to revisit this now, I will note that:

* Having two functions makes it harder to supply an standard key binding: we would have to select one of them since spending two key bindings is out of the question.

* As many other users I've bound M-u to upcase-dwim (etc) and not once has it bothered me that I can't upcase a word while marking a region.

* I'm not aware of any complaints whatsoever that the standard bindings for M-; and backspace force users to "worry about the region", 

However, peace and consensus is of higher importance and as far as I'm concerned this bug is closed, at least for now.